Mar 192014
 

The Firefox extension for DYMO SDK has been updated to support Firefox 28. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 15:08  Tagged with:
Feb 042014
 

The Firefox extension for DYMO SDK has been updated to support Firefox 27. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 17:44  Tagged with:
Dec 102013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 26. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 19:46  Tagged with:
Nov 202013
 

Hello everyone!

A new version of our JavaScript library is now available. This release addresses compatibility issues with IE11. If your web application is compatible with IE11, we strongly recommend that you upgrade to the new version.

The new DYMO Label Framework JavaScript Library 1.2.5 is available here:  http://labelwriter.com/software/dls/sdk/js/DYMO.Label.Framework.1.2.5.js

The latest has been updated to version 1.2.5 as well: http://labelwriter.com/software/dls/sdk/js/DYMO.Label.Framework.latest.js

Oct 302013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 25. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 16:42  Tagged with:
Sep 192013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 24. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 09:57  Tagged with:
Aug 142013
 

Hello everyone,

We thought it would be helpful to have sort of an “interactive” post where you could ask questions about our SDKs. Here’s how it will work:

  • Add a comment to this post asking any question you like regarding DYMO SDKs. It can be anything: how to setup a simple SDK application, potential bugs you may have encountered, etc.
  • We will sort through your questions and pick a some of the best ones to answer in this post.
  • This post will be updated with the questions and answers so everyone can see them

Once we’ve picked out the best questions, we’ll approve all of the other questions and they will appear in the comments section of this post so other developers can help you out. We’re looking forward to your questions!

  1. Is there a way to interact with Dymo label printers from an iOS app? Sample app would be great. (from Steven Hepting)

Currently, the only way to print from an iOS device is using the DYMO Proxy Service that is installed with DLS. This service acts as the “middle-man” between your iOS device and your DYMO printers. For more information on how to use this proxy service, see the following blog posts: http://developers.dymo.com/tag/ios/. Please note that this service is still in BETA and has not been extensively tested outside of DYMO.

  1. Is the proxy service available for Mac? (from Matthew Dever)

The proxy service is a Windows only tool. Also note, the proxy tool is a beta release and there are no plans to move it out of beta.

Aug 062013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 23. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 16:32  Tagged with:
Jul 092013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 22. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 17:53  Tagged with:
May 152013
 

The Firefox extension for DYMO SDK has been updated to support Firefox 21. The extension is available here. The FAQ article is here.

Please note that the Firefox extension is deprecated. No new development will be done for the extension. For new projects please use the Javascript library from the DYMO Label Framework. We encourage developers to switch to the new API even for current projects. Here are some benefits the new DYMO Label Framework API provides in comparison to the extension:

  • DYMO Label Framework API provides a cross-browser and cross-platform pure Javascript API. The same API supports all major browsers on Windows and Mac. The Firefox extension API can be used only in Firefox on Windows.
  • All necessary Framework installation is done by the DYMO Label software installer. By contrast the Firefox extension must be downloaded by customers separately and installed manually.
  • DYMO Label Framework supports and will support all the DYMO printers. New printers will not be supported by the extension.

The auto-update functionality isn’t included in this version. We will add it later.

 Posted by at 10:40  Tagged with: